精华内容
下载资源
问答
  • linux直接退出到根目录的方法
    万次阅读
    2013-12-03 10:02:30
    cd /
    更多相关内容
  • Linux命令之exit - 退出当前shell

    千次阅读 2021-05-09 06:12:51
    用途说明exit命令用于退出当前shell,在shell脚本中可以终止当前脚本执行。常用参数格式:exit n退出。设置退出码为n。(Cause the shell to exit with a status of n.)格式:exit退出。退出码不变,即为最后一个命令...

    用途说明

    exit命令用于退出当前shell,在shell脚本中可以终止当前脚本执行。

    常用参数

    格式:exit n

    退出。设置退出码为n。(Cause the shell to exit with a status of n.)

    格式:exit

    退出。退出码不变,即为最后一个命令的退出码。(If n is omitted, the exit status is that of the  last  command executed. )

    格式:$?

    上一个命令的退出码。

    格式:trap "commands" EXIT

    退出时执行commands指定的命令。( A trap on EXIT is executed before the shell terminates.)

    退出码(exit status,或exit code)的约定:

    0表示成功(Zero - Success)

    非0表示失败(Non-Zero  - Failure)

    2表示用法不当(Incorrect Usage)

    127表示命令没有找到(Command Not Found)

    126表示不是可执行的(Not an executable)

    >=128 信号产生

    man 3 exit 写道

    The C standard specifies two constants, EXIT_SUCCESS and EXIT_FAILURE, that may be passed to exit() to indicate

    successful or unsuccessful termination, respectively.

    以下摘自/usr/include/stdlib.h

    C代码

    0818b9ca8b590ca3270a3433284dd417.png

    #define EXIT_FAILURE    1       /* Failing exit status.  */

    #define EXIT_SUCCESS    0       /* Successful exit status.  */

    BSD试图对退出码标准化。

    man 3 exit 写道

    BSD has attempted to standardize exit codes; see the file .

    以下摘自/usr/include/sysexits.h

    C代码

    0818b9ca8b590ca3270a3433284dd417.png

    #define EX_OK           0       /* successful termination */

    #define EX__BASE        64      /* base value for error messages */

    #define EX_USAGE        64      /* command line usage error */

    #define EX_DATAERR      65      /* data format error */

    #define EX_NOINPUT      66      /* cannot open input */

    #define EX_NOUSER       67      /* addressee unknown */

    #define EX_NOHOST       68      /* host name unknown */

    #define EX_UNAVAILABLE  69      /* service unavailable */

    #define EX_SOFTWARE     70      /* internal software error */

    #define EX_OSERR        71      /* system error (e.g., can't fork) */

    #define EX_OSFILE       72      /* critical OS file missing */

    #define EX_CANTCREAT    73      /* can't create (user) output file */

    #define EX_IOERR        74      /* input/output error */

    #define EX_TEMPFAIL     75      /* temp failure; user is invited to retry */

    #define EX_PROTOCOL     76      /* remote error in protocol */

    #define EX_NOPERM       77      /* permission denied */

    #define EX_CONFIG       78      /* configuration error */

    #define EX__MAX 78      /* maximum listed value */

    使用示例

    示例一 退出当前shell

    [root@new55 ~]#

    [root@new55 ~]# exit

    logout

    示例二 在脚本中,进入脚本所在目录,否则退出

    Bash代码

    0818b9ca8b590ca3270a3433284dd417.png

    cd $(dirname $0) || exit 1

    示例三 在脚本中,判断参数数量,不匹配就打印使用方式,退出

    Bash代码

    0818b9ca8b590ca3270a3433284dd417.png

    if [ "$#" -ne "2" ]; then

    echo "usage: $0  "

    exit 2

    fi

    示例四 在脚本中,退出时删除临时文件

    Bash代码

    0818b9ca8b590ca3270a3433284dd417.png

    trap "rm -f tmpfile; echo Bye." EXIT

    示例五 检查上一命令的退出码

    Bash代码

    0818b9ca8b590ca3270a3433284dd417.png

    ./mycommand.sh

    EXCODE=$?

    if [ "$EXCODE" == "0" ]; then

    echo "O.K"

    fi

    问题思考

    相关资料

    展开全文
  • Linux强制退出当前执行命令

    千次阅读 2021-03-11 16:03:05
    Ctrl + C 强制退出当前执行命令。

    Ctrl  + C

    强制退出当前执行命令。

    展开全文
  • linux如何退出用户

    千次阅读 2021-05-09 08:22:41
    [root@192 run]# userdel -r test # 你在 test 用户的会话里,当然是 “用户 test 当前登入中”,这里说的够明白了吧 userdel: user test is currently logged in \*nix 已经 40 多岁了,如果这里真有 bug,你肯定...

    你不能在登录的一个用户的情况下,还想要删除这个用户的,要删,直接登 root,或者用其它用户 su 再删。

    -------------

    好吧,一条一条分析给你# root 用户添加 test

    [root@192 run]# useradd test

    # 切换到 test

    [root@192 run]# su test

    # 自然不能删除自己

    [test@192 run]$ userdel -r test

    bash: /usr/sbin/userdel: Permission denied

    # 这个时候你的 test 用户亦然登录,你再 su,于是这

    # 个 root 等于是嵌套在你的 test 用户会话里的,再

    # 这个会话要删除 test 肯定要失败,所以这里要 exit

    # 然后再 userdel

    [test@192 run]$ su

    Password:

    # 这里的删除自然会失败。。。

    [root@192 run]# userdel -r test

    # 你在 test 用户的会话里,当然是 “用户 test 当前登入中”,这里说的够明白了吧

    userdel: user test is currently logged in

    \*nix 已经 40 多岁了,如果这里真有 bug,你肯定不会是第一个碰到的。。。

    --------

    你不能删除自己登录的账户,但是你可以删除其它的登录账户,只要在 root 下踢出其它用户的登录,然后删除即可(我想你大概问得是这个问题)。

    --------

    再次强调,你不能在登入到 test 的同时要求删除 test,再怎么提权也不行。

    不过,假如 test 当前登录,然后,你重新开个终端登入 root,或者用除 test 之外的用户提权到 root,可以先踢出 test,然后删除 test,至于怎么踢出 test,一般就是 pkill -9 -t ,关键是找到 ,可以 w 或者 ps -ef | grep '^test'。

    展开全文
  • linux 下使用广泛的系统语言,语法简单,上手容易,但是想要用好,少犯错误,也不是那么容易的一件事,可谓虽是居家旅行之良药,但也是杀人灭口之利器~今天就来聊聊 linux 下一个常见的问题:如何避免误删目录。...
  • (1)Ctrl + D (2)exit 命令用于退出当前shell,如在shell脚本中可以终止当前脚本、退出root身份。
  • linux退出当前用户登陆admin

    万次阅读 2017-07-21 15:00:10
    1.ctrl c 2. exit 3. ssh admin@IP 4. 输入password 5. 成功登陆
  • Linux退出命令为初学者解释(附例)

    千次阅读 2021-05-26 04:31:40
    如果您是Linux新手,并且您的工作涉及通过命令行进行任务,那么不用说,您必须在终端窗口上花费大量时间。 你可能会同意,有一些我们经常使用的命令,比如ls,cp和rm。...Linux退出命令exit命令...
  • 十二、Linux退出当前程序的命令

    万次阅读 2018-08-04 15:52:56
      命令一:Ctrl+C   命令二:q(q就是quit)
  • linux退出bash_Linux Bash退出和退出代码

    千次阅读 2020-10-07 02:55:30
    linux退出bashLinux bash shell provide simple but useful programming environment. We can write simple applications, scripts which will run commands, redirect input and outputs and create, stop process....
  • linux 退出

    万次阅读 2019-06-10 21:51:48
    linux家族中,vim编辑器是系统... 偶有小白,刚接触linux,要修改某个文本文件,不可能像WINDOWS那样操作,更有甚者,进入VI编辑器后,无法退出以致强抽关机,确是不得以呀。 其实,这个VIM(VI)也是很简...
  • linux退出 grub

    千次阅读 2021-05-14 13:40:19
    解决办法:使用CentOS安装光盘进行开机GRUB引导修复 具体操作: 使用CentOS系统光盘引导计算机(系统盘要与原来安装的系统版本相同...输入:chroot /mnt/sysimage ,回车 #将当前目录切换到原来系统的根目录 继续输入...
  • linux 三种退出系统方法

    千次阅读 2021-05-16 08:29:56
    我刚开始搞linux,碰到了很多问题,想问你下,希望能帮我解答下。下面是我的一段shell 程序#!/bin/shwhile [ 0 ]doread scoreif [ $score -lt 60 ];thenecho " you must work hard!"elif [ $score -lt 80 ]echo " ...
  • linux基础命令

    千次阅读 2021-05-10 09:00:24
    ------------恢复内容开始------------3.Linux命令行基础操作通过上面的安装操作,我们现在就可以在虚拟机上体验ubuntu系统的奥妙了,按下虚拟机中的“电源”按钮便可以给ubuntu系统开机了,赶紧去试试吧。...
  • linux vi保存退出指令(如何退出vi)

    千次阅读 2021-05-09 06:44:54
    有很多方法 退出Vi 当编辑完文件准备退出Vi返回到shell时可以使用以下几种方法之一 在命令模式中连按两次大写字母Z若当前编辑的文件曾被修改过则Vi保存该文件后退出返回到shell;若当前编辑的文件没被修改过则Vi直接...
  • linux 退出grub

    千次阅读 2021-05-14 13:40:20
    解决办法:使用CentOS安装光盘进行开机GRUB引导修复 具体操作: 使用CentOS系统光盘引导计算机(系统盘要与原来安装的系统版本相同...输入:chroot /mnt/sysimage ,回车 #将当前目录切换到原来系统的根目录 继续输入...
  • 1.cd 直接cd到xx可以切换到你想去的目录 2.cd … 切换到上一级目录 3.cd ~ cd到当前目录的主目录 cd - 切换到上一次目录
  • linux用户退出登录的命令介绍

    千次阅读 2021-02-01 09:42:17
    linux用户退出登录的命令介绍发布时间:2020-06-09 15:51:29来源:亿速云阅读:395作者:元一linux本身就是bai基于命令行的系统,它的GUI像KDE之类du的是一套应用程序,这和Windows是不同的,很多初学者都不明白这个...
  • linux shell退出命令详解

    千次阅读 2021-05-08 21:17:33
    下面由学习啦小编为大家整理了linux shell退出命令的相关知识,希望对大家有帮助!linux shell退出命令方法如下:(1)输入命令:nohup 你的shell命令 &(2)回车,使终端回到shell命令行;(3)输入exit命令退出终端:...
  • linux不保存退出命令

    千次阅读 2021-05-08 22:42:59
    本文收集整理关于linux不保存退出命令的相关议题,使用内容导航快速到达。内容导航:Q1:Linux如何列出全部命令?compgen bash内置命令可以完成支持命令的查看:compgen -c # 列出当前用户可以使用的所有命令compgen...
  • linux 强制用户退出

    千次阅读 2021-05-18 12:48:21
    linux系统root用户可强制踢制其它登录用户,首先可用$w命令查看登录用户信息,显示信息如下:[root@Wang ~]# w10:01:23 up 1:23, 3 users, load average: 0.71, 0.58, 0.57USER TTY FROM LOGIN@ IDLE JCPU PCPU ...
  • ssh登录ssh 192.168.223.2 ssh直接输入ip地址 之后会提示你输入用户名称和... ssh -p port laok@192.168.223.2 port是服务器端设置的端口号,有时候在服务器端,设置了端口号就需要输入对应的端口号。 在对linux进行
  • linux 退出vi

    千次阅读 2021-02-22 14:01:08
     在命令模式中,连按两次大写字母Z,若当前编辑的文件曾被修改过,则Vi保存该文件后退出,返回到shell;若当前编辑的文件没被修改过,则Vi直接退出, 返回到shell。  在末行模式下,输入命令  :w  Vi保存当前编辑...
  • linux vi保存退出命令 (如何退出vi)

    千次阅读 2021-05-13 12:34:24
    :wq是保存退出,其他vi的使用如下:一、插入文本┌──┬────────────┐│命令│描述 │├──┼────────────┤│i │在当前字符前插入文本 │├──┼────────────┤│I │...
  • linux当前目录下执行程序

    千次阅读 2018-05-05 11:27:57
    第一步:回到用户的主目录cd 第二步:编辑用户配置文件 ubuntu:.profile redhat: .bash_profile 在文件最后一行输入:export PATH=$PATH:. 第三步:保存退出wq 第四步:重新登录用户...
  • 匿名用户1级2012-11-14 回答如果在命令行下使用gedit, 关闭程序窗口(一般先保存文件),就自动退到命令行...扩展资料:linux常见命令:命令apropos whatis 显示和word相关的命令。 参见线程安全man-t man | ps2pdf ...
  • 文章目录一、查看当前系统的虚拟环境有哪些二、激活虚拟环境三、退出虚拟环境参考链接 一、查看当前系统的虚拟环境有哪些 conda info --env 二、激活虚拟环境 conda activate python36(环境名) 三、退出虚拟...
  • linux 用户退出怎么命令

    千次阅读 2021-01-14 13:24:25
    展开全部用户退出登录的方法有以下三种:1、在shell提示符下输入 exit 按回车确认2、在shell提示符下输入 logout 按回车确认3、按快捷键...Linux常用命令之——退出、切换用户exit、suexit命令同于退出she...
  • linux出现>如何退出

    千次阅读 2022-01-07 22:02:42
    如何退出 今天在Mac终端敲击一些Linux以及Shell指令的时候莫名出现了一直退不出的">",X了几次后开始从网上搜索解决该问题的方法,以下是一些总结: 可以尝试使用如下三种组合指令: ctrl-c 向当前进程发送 ...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 390,460
精华内容 156,184
关键字:

linux退出当前目录

友情链接: OS3.zip